Subject: Re: Proposal to Enable/Disable Index using ALTER INDEX

From: David Rowley <[email-masked]>
Date: Wed, 16 Oct 2024 12:16:48 +1300

On Sat, 12 Oct 2024 at 22:41, Vinícius Abrahão <[email-masked]> wrote:
> You are going to disable the index but not the update of it? Why? Does it imply that when you are going to re-enable it you are going to recreate it?

It might be worth you reading the discussion and proposed patches. I
think either of those would answer your questions.

I don't recall anyone ever proposing that re-enabling the index would
result in it having to be rebuilt. If that was a requirement, then I'd
say there does not seem much point in the feature. You might as well
just drop the index and recreate it if you change your mind.

David